{% extends "base.html" %}
{% block title %}
    Categories List
{% endblock title %}

{% block content %}
<main>
    {% if user.is_authenticated %}
    <li>
        <a href="{% url 'create_receipt' %}">create receipt</a>
    </li>
    {% endif %}
    <h1>categories</h1>
<table>
    <tr>
        <th>Name</th>
        <th>Number of receipts</th>
    </tr>
    {% for category in category_list %}
        <tr>
            <td>{{ category.name }}</td>
            <td>{{ category.receipts.all|length }}</td>
        </tr>
    {% endfor %}
</table>
</main>
{% endblock content %}
